Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 456860 - net-zope/zope-fixers - python2.7 setup.py build -b build-2.7: ImportError: No module named setuptools
Summary: net-zope/zope-fixers - python2.7 setup.py build -b build-2.7: ImportError: No...
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-11 22:13 UTC by Thibaud "thican" CANALE
Modified: 2013-02-14 14:34 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info AND cat /var/log/portage/net-zope:zope-fixers-1.0:20130211-213356.log (file_456860.txt,7.27 KB, text/plain)
2013-02-11 22:13 UTC, Thibaud "thican" CANALE
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thibaud "thican" CANALE 2013-02-11 22:13:04 UTC
Created attachment 338646 [details]
emerge --info AND cat /var/log/portage/net-zope:zope-fixers-1.0:20130211-213356.log

When calling:
python2.7 setup.py build -b build-2.7

will fail if dev-python/setuptools is not compiled with PYTHON_TARGET=python2_7"

Then, should check if dev-python/setuptools has correct USE flags.

Solved with:
emerge -vat --with-bdeps=y @world

Reproductible: Always

By the ways, message error is:
die "${failure_message}";
which is not properly escaped.
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2013-02-13 18:56:16 UTC
Try running python-updater, then try again.
Comment 2 Thibaud "thican" CANALE 2013-02-14 13:11:16 UTC
(In reply to comment #1)
> Try running python-updater, then try again.


Sorry, python-updater didn't solve the problem.
I will describe my current installation.


Let's check setuptools:
# emerge -p1 dev-python/setuptools 

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] dev-python/setuptools-0.6.30-r1  PYTHON_TARGETS="python2_7*"


That's mean dev-python/setuptools is currently compiled without the python2_7 PYTHON_TARGETS flag, as you know, but this flag is present in my system. That's what happened when I was only python3_2 python's version and add python_2_7 after.


If I do not done this compilation, python-updater will not see this missing feature:
# python-updater -- -pt --verbose=n
 * Starting Python Updater...
 * Main active version of Python:    3.2
 * Active version of Python 2:       2.7
 * Active version of Python 3:       3.2
 * Globally supported Python ABIs in installed repositories:
 *   gentoo:                         2.4 2.5 2.6 2.7 3.1 3.2 3.3 2.5-jython 2.7-pypy-1.7 2.7-pypy-1.8 2.7-pypy-1.9 2.7-pypy-2.0
 *   Adding to list: dev-java/java-config:2
 * emerge -Dv1 --keep-going dev-java/java-config:2 -pt --verbose=n

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild   R    ] dev-java/java-config-2.1.12-r1


(By the way, this package is always in queue to emerge with python-updater even when I have solved the problem with setuptools. See at the end of this comment new informations about it)


So, when I try to emerge deluge (for example), it will fail:
# emerge --verbose=n -at deluge

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild  N     ] net-p2p/deluge-1.3.5  USE="geoip libnotify -gtk -setproctitle -webinterface"
[ebuild  N     ]  net-libs/rb_libtorrent-0.16.5  USE="python ssl -debug -doc -examples -static-libs"
[ebuild  N     ]   dev-libs/boost-1.49.0-r2  USE="python -debug -doc -icu -mpi -static-libs -tools"
[ebuild  N     ]    dev-util/boost-build-1.49.0  USE="python -examples"
[ebuild  N     ]  dev-python/twisted-web-11.0.0  USE="-soap"
[ebuild  N     ]   dev-python/twisted-11.0.0  USE="crypt -gtk -serial"
[ebuild  N     ]    net-zope/zope-interface-3.8.0
[ebuild  N     ]     net-zope/zope-fixers-1.0
[ebuild  N     ]  dev-python/pyxdg-0.23  USE="-examples"
[ebuild  N     ]  dev-python/chardet-2.0.1
[ebuild  N     ]  dev-python/pyopenssl-0.12  USE="-doc"

Would you like to merge these packages? [Yes/No] yes
>>> Verifying ebuild manifests
>>> Starting parallel fetch
>>> Emerging (1 of 11) dev-python/pyopenssl-0.12
>>> Installing (1 of 11) dev-python/pyopenssl-0.12
>>> Emerging (2 of 11) dev-python/chardet-2.0.1
>>> Installing (2 of 11) dev-python/chardet-2.0.1
>>> Emerging (3 of 11) dev-python/pyxdg-0.23
>>> Installing (3 of 11) dev-python/pyxdg-0.23
>>> Emerging (4 of 11) net-zope/zope-fixers-1.0
>>> Failed to emerge net-zope/zope-fixers-1.0, Log file:
>>>  '/var/log/portage/net-zope:zope-fixers-1.0:20130214-120944.log'


But, when I do this, dev-python/setuptools will be rebuild with correct flags:
# emerge -auND --with-bdeps=y @world 

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] dev-python/setuptools-0.6.30-r1  PYTHON_TARGETS="python2_7*"


And now, emerging deluge, with zope-fixers in dependancy will not failed anymore :-)


Therefore, this is "emerge -uND --with-bdeps=y @world" who trigered the solution, instead of python-updater.

(And now, python-updater will again and again suggest to rebuild dev-java/java-config (currently version 2.1.12-r1) and dev-python/setuptools (currently version 0.6.30-r1), but this is not relevant for this bug.)
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-02-14 14:34:23 UTC
python.eclass package can't respect PYTHON_TARGETS properly. You simply have to run 'emerge -1vDt --changed-use @world' to make sure that everything is aligned back properly.

zope-fixers was fixed two or three days ago but it didn't go stable yet.